Bug 43166 - Adjust preup.sh / postup.sh for UCS 3.3-1
Adjust preup.sh / postup.sh for UCS 3.3-1
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 3.3-1
Assigned To: Felix Botner
Philipp Hahn
https://hutten.knut.univention.de/med...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-12 08:00 CET by Stefan Gohmann
Modified: 2016-12-21 16:32 CET (History)
0 users

See Also:
What kind of report is it?: Release Management
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-12-12 08:00:28 CET
pre- and postup.sh should be adjusted for UCS 3.3-1
Comment 1 Felix Botner univentionstaff 2016-12-13 17:15:56 CET
done

postup.sh
 * removed switch_to_openjdk7
 * removed dpkg --purge php5-suhosin
 * set 3.3-1-errata (do NOT unset 3.3-0-errata!)
 * removed reinstall apps

preup.sh
 * removed check_for_postgresql83
 * check_for_postgresql84 NOT removed, do we need this?
 * removed check_for_minimum_errata
 * removed mark_app_as_installed

added changelog entry
Comment 2 Philipp Hahn univentionstaff 2016-12-14 16:58:52 CET
OK: r75246 r75249
OK: r75248 ChangeLog
OK: univention-upgrade --ignoressh --ignoreterm
OK: ucr get version/{version,patchlevel,erratalevel}
Comment 3 Stefan Gohmann univentionstaff 2016-12-21 16:32:20 CET
UCS 3.3-1 has been released:
 https://docs.software-univention.de/release-notes-3.3-1-en.html
 https://docs.software-univention.de/release-notes-3.3-1-de.html

If this error occurs again, please use "Clone This Bug".